Get an appointment by ID
Returns the full appointment including participants, creator, groups, and series.
GET
/appointments/{id}Path parameters
idstringrequiredAppointment ID
Responses
200Appointment details
dataAppointmentrequiredFull appointment from `GET /appointments`, `GET /appointments/{id}`, and create responses. Includes participants, creator, groups, and series when loaded.
Show propertiesHide properties
idstringrequiredtitlestringrequirednotesstringdateTimestring<date-time>requireddurationintegerrequiredDuration in minutes
isOnlinebooleanrequiredisHybridbooleanrequiredonlineAddressstringaddressstringlocationstring | nullproviderstringroomIdstring | nullDeprecated — use appointmentRooms.
appointmentRoomsAppointmentRoomBooking[]Show propertiesHide properties
Array of
AppointmentRoomBookingroomIdstringsetupIdstring | nullroomobjectsetupobject | nullappointmentLayersAppointmentLayer[]Show propertiesHide properties
Array of
AppointmentLayerlayerIdstringlayerobject | nullShow propertiesHide properties
idstringnamestringcourseobject | nullShow propertiesHide properties
idstringCourse entity ID
codestring | nullnamestringorganizerUsersAppointmentOrganizer[]Show propertiesHide properties
Array of
AppointmentOrganizerorganizerIdstringrequiredappointmentUsersAppointmentUserParticipant[]Show propertiesHide properties
Array of
AppointmentUserParticipantuserIdstringuserAppointmentSafeUserShow propertiesHide properties
idstringnamestringemailstringfirstNamestring | nulllastNamestring | nullimagestring | nullappointmentCreatorobject[]Institution admin/moderator used as creator for API-created appointments.
Show propertiesHide properties
Array of
objectuserIdstringuserAppointmentSafeUserShow propertiesHide properties
idstringnamestringemailstringfirstNamestring | nulllastNamestring | nullimagestring | nullappointmentUserGroupsobject[]Show propertiesHide properties
Array of
objectuserGroupIdstringuserGroupobjectappointmentTypeobject | nullseriesobject | nullmetaResponseMetarequiredShow propertiesHide properties
requestIdstringrequiredtimestampstring<date-time>requiredversionstringrequiredAllowed:
v4401Unauthorized
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring403Forbidden
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring404Not Found
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring422Unprocessable Entity — validation or business rule error
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring429Too Many Requests
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring500Internal Server Error
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestringRequest
curl -X GET "https://fuxam.app/api/v4/appointments/string"const response = await fetch("https://fuxam.app/api/v4/appointments/string", {
method: "GET"
});import requests
response = requests.get(
"https://fuxam.app/api/v4/appointments/string",
)Response
{
"data": {
"id": "appt_def456",
"title": "Introduction lecture",
"notes": "First session of the semester",
"dateTime": "2026-09-15T10:00:00.000Z",
"duration": 90,
"isOnline": false,
"isHybrid": false,
"onlineAddress": "",
"address": "Building A, Room 101",
"location": null,
"provider": "fuxam",
"roomId": null,
"appointmentLayers": [
{
"layerId": "layer_abc123",
"layer": {
"id": "layer_abc123",
"name": "CS101"
},
"course": {
"id": "clx1234567890",
"code": "CS101",
"name": "Introduction to Computer Science"
}
}
],
"appointmentRooms": [],
"organizerUsers": [
{
"organizerId": "user_organizer1"
}
],
"appointmentUsers": [
{
"userId": "user_student1",
"user": {
"id": "user_student1",
"name": "Jane Doe",
"email": "jane@example.com",
"firstName": "Jane",
"lastName": "Doe",
"image": null
}
}
],
"appointmentCreator": [
{
"userId": "user_admin1",
"user": {
"id": "user_admin1",
"name": "Admin User",
"email": "admin@example.com",
"firstName": "Admin",
"lastName": "User",
"image": null
}
}
],
"appointmentUserGroups": [],
"appointmentType": null,
"series": null
},
"meta": {
"requestId": "req_1234567890_abc",
"timestamp": "2026-06-02T07:00:00.000Z",
"version": "v4"
}
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}